﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using apiapple.Data;

namespace apiapple.Migrations
{
    [DbContext(typeof(DataContext))]
    partial class DataContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.1.14-servicing-32113");

            modelBuilder.Entity("apiapple.Models.Author", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("Name");

                    b.Property<string>("Uri");

                    b.HasKey("Id");

                    b.ToTable("Authors");
                });

            modelBuilder.Entity("apiapple.Models.Feed", b =>
                {
                    b.Property<string>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("AuthorId");

                    b.Property<string>("Copyright");

                    b.Property<string>("Country");

                    b.Property<string>("Icon");

                    b.Property<int>("LinkId");

                    b.Property<string>("Title");

                    b.Property<DateTime>("Updated");

                    b.HasKey("Id");

                    b.HasIndex("AuthorId");

                    b.HasIndex("LinkId");

                    b.ToTable("Feeds");
                });

            modelBuilder.Entity("apiapple.Models.Genere", b =>
                {
                    b.Property<string>("GenereId")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("Name");

                    b.Property<string>("Url");

                    b.HasKey("GenereId");

                    b.ToTable("Generes");
                });

            modelBuilder.Entity("apiapple.Models.Link", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("Alternate");

                    b.Property<string>("Self");

                    b.HasKey("Id");

                    b.ToTable("Links");
                });

            modelBuilder.Entity("apiapple.Models.Podcast", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("ArtistId");

                    b.Property<string>("ArtistName");

                    b.Property<string>("ArtistUrl");

                    b.Property<string>("ArtworkUrl100");

                    b.Property<string>("ContentAdvisoryRating");

                    b.Property<string>("Copyright");

                    b.Property<string>("FeedId");

                    b.Property<string>("Kind");

                    b.Property<string>("Name");

                    b.Property<string>("ReleaseDate");

                    b.Property<int>("Top");

                    b.Property<string>("Url");

                    b.HasKey("Id");

                    b.HasIndex("FeedId");

                    b.ToTable("PodCasts");
                });

            modelBuilder.Entity("apiapple.Models.PodcastGenere", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("GenreId");

                    b.Property<int>("PodCastId");

                    b.HasKey("Id");

                    b.HasIndex("GenreId");

                    b.HasIndex("PodCastId");

                    b.ToTable("PodcastGeneres");
                });

            modelBuilder.Entity("apiapple.Models.Feed", b =>
                {
                    b.HasOne("apiapple.Models.Author", "Author")
                        .WithMany()
                        .HasForeignKey("AuthorId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("apiapple.Models.Link", "Link")
                        .WithMany()
                        .HasForeignKey("LinkId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("apiapple.Models.Podcast", b =>
                {
                    b.HasOne("apiapple.Models.Feed")
                        .WithMany("Results")
                        .HasForeignKey("FeedId");
                });

            modelBuilder.Entity("apiapple.Models.PodcastGenere", b =>
                {
                    b.HasOne("apiapple.Models.Genere", "Genre")
                        .WithMany()
                        .HasForeignKey("GenreId");

                    b.HasOne("apiapple.Models.Podcast")
                        .WithMany("PodcastGeneres")
                        .HasForeignKey("PodCastId")
                        .OnDelete(DeleteBehavior.Cascade);
                });
#pragma warning restore 612, 618
        }
    }
}
